Export (0) Print
Expand All

<supportedRuntime> Element

Specifies which versions of the common language runtime the application supports. This element should be used by all applications built with version 1.1 or later of the .NET Framework.

<configuration>
   <startup>
      <supportedRuntime>

<supportedRuntime version="runtime version"/>

Optional Attributes

Attribute Description
version A String value that specifies the version of the .NET Framework that this application supports. The string value must match the directory name found under the .NET Framework installation root. The contents of the string value are not parsed.

Remarks

The version attribute string must match the installation folder name for the specified version of the .NET Framework. This string is not interpreted.

If the <supportedRuntime> element is not present in the application configuration file, the version of the runtime used to build the application is used.

When multiple versions of the runtime are supported, the first element should specify the most preferred version of the runtime, and the last element should specify the least preferred version.

Note   The <supportedRuntime> element should be used by all applications built using version 1.1 or later of the runtime. Only applications built to support only version 1.0 of the runtime should use the <requiredRuntime> element.

Example

The following example shows how to specify the supported runtime versions in a configuration file.

<configuration>
   <startup>
      <supportedRuntime version="v1.1.4322"/>
      <supportedRuntime version="v1.0.3705"/>
   </startup>
</configuration>

Configuration File

This element can be used in the application configuration file.

See Also

Startup Settings Schema | Configuration File Schema | Specifying Which Runtime Version to Use

Show:
© 2014 Microsoft